import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';
//Importing the gist url
const csvUrl = [
  'https://gist.githubusercontent.com/NeeharikaGali/7e389269eb5695247033035544d62fb0/raw/19526eab70c8a4ffec410822e21283c5d7f58fe1/iris.csv'
].join('');
const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};
//Setting the plot values
const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);
//main function
const main = async () => {
  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(await csv(csvUrl, parseRow))
      .xValue((d) => d.petal_width)
      .yValue((d) => d.sepal_length)
      .symbolValue((d) => d.species)
      .margin({
        top: 25,
        right: 30,
        bottom: 45,
        left: 49,
      })
      .size(120)
  );
};
main();
